# eric4.Helpviewer.CookieJar.CookieExceptionsModel

Module implementing the cookie exceptions model.

### Global Attributes

None

### Classes

CookieExceptionsModel | Class implementing the cookie exceptions model.

### Functions

None

## CookieExceptionsModel

Class implementing the cookie exceptions model.

### Derived from

QAbstractTableModel

### Class Attributes

None

### Class Methods

None

### Methods

CookieExceptionsModel | Constructor
__addHost | Private method to add a host to an exception list.
addRule | Public method to add an exception rule.
columnCount | Public method to get the number of columns of the model.
data | Public method to get data from the model.
headerData | Public method to get header data from the model.
removeRows | Public method to remove entries from the model.
rowCount | Public method to get the number of rows of the model.

### Static Methods

None

#### CookieExceptionsModel (Constructor)

CookieExceptionsModel(cookieJar, parent = None)

Constructor

cookieJar
  reference to the cookie jar (CookieJar)
parent
  reference to the parent object (QObject)

#### CookieExceptionsModel.__addHost

__addHost(host, addList, removeList1, removeList2)

Private method to add a host to an exception list.

host
  name of the host to add (QString)
addList
  reference to the list to add it to (QStringList)
removeList1
  reference to first list to remove it from (QStringList)
removeList2
  reference to second list to remove it from (QStringList)

#### CookieExceptionsModel.addRule

addRule(host, rule)

Public method to add an exception rule.

host
  name of the host to add a rule for (QString)
rule
  type of rule to add (CookieJar.Allow, CookieJar.Block or CookieJar.AllowForSession)

#### CookieExceptionsModel.columnCount

columnCount(parent = QModelIndex())

Public method to get the number of columns of the model.

parent
  parent index (QModelIndex)

Returns:
  number of columns (integer)

#### CookieExceptionsModel.data

data(index, role)

Public method to get data from the model.

index
  index to get data for (QModelIndex)
role
  role of the data to retrieve (integer)

Returns:
  requested data

#### CookieExceptionsModel.headerData

headerData(section, orientation, role)

Public method to get header data from the model.

section
  section number (integer)
orientation
  orientation (Qt.Orientation)
role
  role of the data to retrieve (integer)

Returns:
  requested data

#### CookieExceptionsModel.removeRows

removeRows(row, count, parent = QModelIndex())

Public method to remove entries from the model.

row
  start row (integer)
count
  number of rows to remove (integer)
parent
  parent index (QModelIndex)

Returns:
  flag indicating success (boolean)

#### CookieExceptionsModel.rowCount

rowCount(parent = QModelIndex())

Public method to get the number of rows of the model.

parent
  parent index (QModelIndex)

Returns:
  number of columns (integer)

Up